import { AbstractCanvasRenderingContext2D } from './AbstractCanvasRenderingContext2D';
const defaults = {
    strokeStyle: '#000',
    fillStyle: '#000',
    globalAlpha: 1.0,
    lineWidth: 1.0,
    lineCap: 'butt',
    lineJoin: 'miter',
    miterLimit: 10.0,
    lineDashOffset: 0.0,
    shadowOffsetX: 0,
    shadowOffsetY: 0,
    shadowBlur: 0,
    shadowColor: 'transparent',
    globalCompositeOperation: 'source-over',
    font: '10px sans-serif',
    textAlign: 'start',
    textBaseline: 'alphabetic',
    direction: 'inherit',
    imageSmoothingEnabled: true,
    letterSpacing: '0px',
    imageSmoothingQuality: 'low',
    fontKerning: 'auto',
    fontStretch: 'normal',
    fontVariantCaps: 'normal',
    textRendering: 'auto',
    wordSpacing: '0px',
};
class NSCanvasRenderingContext2D extends AbstractCanvasRenderingContext2D {
    drawFocusIfNeeded(...args) {
        console.warn('Method drawFocusIfNeeded is not implemented');
    }
}
export { NSCanvasRenderingContext2D as CanvasRenderingContext2D };
//# sourceMappingURL=CanvasRenderingContext2D.js.map