import { ImageSource } from '@nativescript/core';
import type { HTMLCanvasElement } from '../elements/HTMLCanvasElement';
import { OffscreenCanvas } from '../elements/OffscreenCanvas';
declare class NSImageBitmapRenderingContext {
    readonly canvas: HTMLCanvasElement | OffscreenCanvas;
    transferImageBitmap(imageSource: ImageSource | any): void;
    transferFromImageBitmap(imageSource: ImageSource | any): void;
}
export { NSImageBitmapRenderingContext as ImageBitmapRenderingContext };
